Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon
Class StandardErrorListener

    java.lang.Object
      com.icl.saxon.StandardErrorListener

All Implemented Interfaces:
  ErrorListener

public class StandardErrorListener
extends java.lang.Object
implements ErrorListener

StandardErrorListener is the standard error handler for XSLT processing errors, used if no other ErrorListener is nominated.

Constructor Summary
`StandardErrorListener()`

Method Summary
`void` | `error(TransformerException exception)` Receive notification of a recoverable error.
`void` | `fatalError(TransformerException exception)` Receive notification of a non-recoverable error.
`static java.lang.String` | `getExpandedMessage(TransformerException err)` Get a string containing the message for this exception and all contained exceptions
`static java.lang.String` | `getLocationMessage(TransformerException err)` Get a string identifying the location of an error.
`void` | `setErrorOutput(java.io.PrintStream writer)` Set output destination for error messages (default is System.err)
`void` | `setRecoveryPolicy(int policy)` Set the recovery policy
`void` | `warning(TransformerException exception)` Receive notification of a warning.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardErrorListener

    public StandardErrorListener()

Method Detail

### setErrorOutput

    public void setErrorOutput(java.io.PrintStream writer)

  Set output destination for error messages (default is System.err)

  Parameters:
    `writer` - The PrintStream to use for error messages

### setRecoveryPolicy

    public void setRecoveryPolicy(int policy)

  Set the recovery policy

### warning

    public void warning(TransformerException exception)
                 throws TransformerException

  Receive notification of a warning.

  Transformers can use this method to report conditions that are not errors or fatal errors. The default behaviour is to take no action.

  After invoking this method, the Transformer must continue with the transformation. It should still be possible for the application to process the document through to the end.

  Specified by:
    `warning` in interface `ErrorListener`
  Parameters:
    `exception` - The warning information encapsulated in a transformer exception.
  Throws:
    `TransformerException` - if the application chooses to discontinue the transformation.
  See Also:
    `TransformerException`

### error

    public void error(TransformerException exception)
               throws TransformerException

  Receive notification of a recoverable error.

  The transformer must continue to provide normal parsing events after invoking this method. It should still be possible for the application to process the document through to the end.

  The action of the standard error listener depends on the recovery policy that has been set, which may be one of RECOVER_SILENTLY, RECOVER_WITH_WARNING, or DO_NOT_RECOVER

  Specified by:
    `error` in interface `ErrorListener`
  Parameters:
    `exception` - The error information encapsulated in a transformer exception.
  Throws:
    `TransformerException` - if the application chooses to discontinue the transformation.
  See Also:
    `TransformerException`

### fatalError

    public void fatalError(TransformerException exception)
                    throws TransformerException

  Receive notification of a non-recoverable error.

  The application must assume that the transformation cannot continue after the Transformer has invoked this method, and should continue (if at all) only to collect addition error messages. In fact, Transformers are free to stop reporting events once this method has been invoked.

  Specified by:
    `fatalError` in interface `ErrorListener`
  Parameters:
    `exception` - The error information encapsulated in a transformer exception.
  Throws:
    `TransformerException` - if the application chooses to discontinue the transformation.
  See Also:
    `TransformerException`

### getLocationMessage

    public static java.lang.String getLocationMessage(TransformerException err)

  Get a string identifying the location of an error.

### getExpandedMessage

    public static java.lang.String getExpandedMessage(TransformerException err)

  Get a string containing the message for this exception and all contained exceptions

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD